Subject: N900 sleep mode (in 4.5-rc0, if that matters)

From: [email-masked] (Pavel Machek)
Date: Wed, 23 Mar 2016 15:37:11 +0100

On Wed 2016-02-10 17:08:18, Tony Lindgren wrote:
> * Tony Lindgren <[email-masked]> [160209 09:26]:
> > * Pavel Machek <[email-masked]> [160207 13:24]:
> > 
> > > ffdffebd 48004a20 (fa004a20) cm_idlest1_core blocking bits: 00200042
> > > 0000000d 48004a28 (fa004a28) cm_idlest3_core
> > 
> > Bit 21 in cm_idlest1_core is for MCSPI4 so WLAN. Does that go
> > down if do sleep 5; cat /sys/kernel/debug/pm_debug/count ?
> > 
> > If not, the're PM runtime missing or broken somewhere.
> 
> Just tested n900 wlan here and it's working for me with Emil's
> patch from the "" thread and the PM runtime regression fix for
> hsmmc I posted earlier today. Looks like n900 is hitting off
> mode just fine with wlan0 configured.

Emil's patch, would that be:

commit fb724ed5c6175a2407b256d506c9e703c6bb62d4
Author: Emil Goode <[email-masked]>
Date:   Wed Feb 10 02:22:16 2016 +0100

    wlcore: Fix regression in wlcore_set_partition()

    The commit 3719c17e1816 ("wlcore/wl18xx: fw logger over sdio")
    introduced a
        regression causing the wlcore to time out and go into
    recovery. Reverting the
        changes regarding write of the last partition size brings the
    module back to
        it's functional state.

    Fixes: 3719c17e1816 ("wlcore/wl18xx: fw logger over sdio")

?

Hsmmc regression, that's

Date: Wed, 10 Feb 2016 15:02:44 -0800
From: Tony Lindgren <[email-masked]>
To: linux-omap at vger.kernel.org
Subject: [PATCH 1/7] mmc: omap_hsmmc: Fix PM regression with deferred probe for pm_runtime_reinit

? Aha, but the patch this regression fixes does not seem to be in 4.4,
so I should be fine unless I go to 4.5.

> It does not wake up to pings from outside from off mode though
> until the system wakes up.

Ok, I guess I'm trying to get it to sleep, first, then we can talk
about wakeup ;-).

Best regards,
									Pavel
-- 
(english) http://www.livejournal.com/~pavelmachek
(cesky, pictures) http://atrey.karlin.mff.cuni.cz/~pavel/picture/horses/blog.html